lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'qonto_ofx/version'

Gem::Specification.new do |spec|
  spec.name          = 'qonto_ofx'
  spec.version       = QontoOfx::VERSION
  spec.authors       = ['Simon Watiau']
  spec.email         = ['watiau.simon@gmail.com']

  spec.summary       = 'Parse Qonto transations listing into an OFX file'
  spec.homepage      = 'https://github.com/simon-watiau/qonto_ofx'
  spec.license       = 'MIT'

  spec.executables   = 'qonto_ofx'
  spec.files         = `git ls-files -z`.split("\x0")
  spec.require_paths = ['lib']
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'minitest', '~> 5.8'
  spec.add_development_dependency 'mocha', '~> 1.2'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rubygems-tasks', '~> 0.2'
  spec.add_development_dependency 'diffy', '~> 3.1'

  spec.add_dependency 'json', '~> 1.8'
  spec.add_dependency 'json-schema', '~> 2.5'
  spec.add_dependency 'nokogiri', '~> 1.6'
  spec.add_dependency 'rest-client', '~> 2.0'
  spec.add_dependency 'htmlentities', '~> 4.3'
end
