require 'minitest/autorun'
require 'mocha/minitest'
require 'ofx_validator'
require 'nokogiri'

class OfxValidatorTest < Minitest::Test
  def setup
    @validator = QontoOfx::OfxValidator.new
  end

  def test_valid
    input = File.readlines('./test/sample/ofx/valid.xml').join
    assert @validator.valid? input
  end

  def test_invalid
    input = File.readlines('./test/sample/ofx/invalid.xml').join
    refute @validator.valid? input
  end

  def test_malformed
    input = File.readlines('./test/sample/ofx/malformed.xml').join
    refute @validator.valid? input
  end
end
