require 'minitest/autorun'
require 'mocha/minitest'

class OrganizationValidatorTest < Minitest::Test
  def setup
    @validator = QontoOfx::OrganizationValidator.new
  end

  def test_valid_one_account_json
    input = File.readlines('./test/sample/organization/valid_one_account.txt').join
    assert @validator.valid? input
  end

  def test_valid_two_account_json
    input = File.readlines('./test/sample/organization/valid_two_accounts.txt').join
    assert @validator.valid? input
  end

  def test_invalid_format
    input = File.readlines('./test/sample/organization/invalid_format.txt').join
    refute @validator.valid? input
  end

  def test_malformed_json
    input = File.readlines('./test/sample/organization/malformed.txt').join
    refute @validator.valid? input
  end
end
