require 'minitest/autorun'
require 'mocha/minitest'

class TransactionsListingValidatorTest < Minitest::Test
  def setup
    @validator = QontoOfx::TransactionsListingValidator.new
  end

  def test_valid_json
    input = File.readlines('./test/sample/transactions/valid.txt').join
    assert @validator.valid? input
  end

  def test_invalid_format
    input = File.readlines('./test/sample/transactions/invalid_format.txt').join
    refute @validator.valid? input
  end

  def test_malformed_json
    input = File.readlines('./test/sample/transactions/malformed.txt').join
    refute @validator.valid? input
  end
end
